6.0.0-git
2021-01-18

[#8780] number_format() doesn't work with multi-byte characters
Summary number_format() doesn't work with multi-byte characters
Queue Horde Base
Queue Version 3.3.5
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester e.cerny (at) seznam (dot) cz
Created 2009-12-16 (4051 days ago)
Due
Updated 2009-12-17 (4050 days ago)
Assigned 2009-12-16 (4051 days ago)
Resolved 2009-12-16 (4051 days ago)
Milestone 3.3.7
Patch No

History
2009-12-17 00:35:05 e (dot) cerny (at) seznam (dot) cz Comment #7 Reply to this comment
Great, than kyou.
2009-12-16 22:12:26 Jan Schneider Comment #6
Assigned to Jan Schneider
Summary ⇒ number_format() doesn't work with multi-byte characters
State ⇒ Resolved
Milestone ⇒ 3.3.7
Reply to this comment
It actually turned out that not localconv() was the culprit, it worked 
just as expected. But number_format() doesn't work with multi-byte 
characters.
2009-12-16 19:52:29 e (dot) cerny (at) seznam (dot) cz Comment #4 Reply to this comment
Maybe it should be configurable at admin or even user level. That 
would be great.
I presonaly hate , as a decimal_point which is default for my locale
2009-12-16 10:33:37 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
This sucks, because there is no way to find out which charset is 
actually being used. I would expect localeconv() to use the charset of 
the current locale, but that's obviously not the case. I don't see a 
clean solution at the moment. For Horde 4 we could use intl's 
NumberFormatter instead, hoping that it is locale-aware.
2009-12-16 05:42:16 e (dot) cerny (at) seznam (dot) cz Comment #2 Reply to this comment
in lib/Horde/NLS.php on line 452
should be something like
$lc_info = iconv($charset, 'utf-8', localeconv());
instead of
$lc_info = localeconv();
2009-12-16 05:21:21 e (dot) cerny (at) seznam (dot) cz Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ output from localeconv() must be converted from $nls['charsets']['xx_XX'] encoding to utf-8
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
output from localeconv() is in the default encoding for the choosed locale

localeconv() for cs_CZ outputs in ISO-8859-2 but is displayed in utf-8

In IMP::New Mail window down in Attachment section
(Maximum Attachment Size: 10?000?000 bytes)

Saved Queries